{% extends 'property_vacancy_management/building_unit/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/overview_map') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/overview_map') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary header-brand">Leerstände und Bestandsobjekte</span>
        {% if canCreateBuildingUnit == true %}
            <a href="{{ path('property_vacancy_management_building_unit_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">erfassen</span>
                <span class="mdc-button__label d-none d-md-block">Objekt erfassen</span>
            </a>
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div id="building_unit_overview_map"
         data-loading-text="Lade Karte"
         class="flex-grow-1"
         {% if geolocationPoint != null %}
             data-longitude="{{ geolocationPoint.getPoint().getLongitude() }}"
             data-latitude="{{ geolocationPoint.getPoint().getLatitude() }}"
         {% endif %}
         data-can-create-building-unit="{{ canCreateBuildingUnit }}"
         data-account-user-type="{{ app.user.getAccountUserType().value }}"
    >
    </div>
{% endblock %}
